import { Component, OnInit } from '@angular/core';
import { MyordersService } from './../../config/myorder.service';
import { Myorder } from './../../config/services/myorder';
import { Router, ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-complete',
  templateUrl: './complete.page.html',
  styleUrls: ['./complete.page.scss'],
})
export class CompletePage implements OnInit {
  order: Myorder;

  constructor(
    public myorder: MyordersService,
    public router: Router
  ) {
    this.order = this.myorder.selItem;
  }

  ngOnInit() {
  }

  goToPage(path, data = null) {
    this.router.navigateByUrl(path, { queryParams: data });
    document.body.scrollTop = document.documentElement.scrollTop = 0;
  }

}
