import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { Routes, RouterModule } from '@angular/router';
import { IonicModule } from '@ionic/angular';
import { AgmCoreModule } from '@agm/core';
import { AgmDirectionModule } from 'agm-direction';
import { RiderloungePage } from './riderlounge.page';

const routes: Routes = [
  {
    path: '',
    component: RiderloungePage
  }
];

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    RouterModule.forChild(routes),
    AgmDirectionModule,
    AgmCoreModule.forRoot({
      apiKey: 'AIzaSyAK3Av2e2dunqInYEaAVJPmzK5HTi0gubw'
    }),
  ],
  declarations: [RiderloungePage]
})
export class RiderloungePageModule {}
